﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Diagnostics;
using System.IO;
using System.Text.RegularExpressions;

namespace WpfApplication3
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        RemoteShellClient.RemoteShellService.ShellServiceClient remoteShell;

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            remoteShell = new RemoteShellClient.RemoteShellService.ShellServiceClient();
            CommandTextbox.Focus();
        }

        private void textBox1_PreviewKeyDown(object sender, KeyEventArgs e)
        {
            switch (e.Key)
            {
                case Key.Enter:
                    string command = CommandTextbox.Text;
                    switch (command.ToLower())
                    {
                        case "cls":
                            ResultTextbox.Clear();
                            break;

                        default:
                            string workingDirectory = WorkingDirectoryTextbox.Text;
                            string result = string.Empty;
                            remoteShell.Execute(CommandTextbox.Text, ref workingDirectory, ref result);
                            WorkingDirectoryTextbox.Text = workingDirectory;
                            var match = Regex.Match(result, "All rights reserved.");
                            if (match.Success)
                                result = result.Substring(match.Index + match.Length);

                            ResultTextbox.Text += result;
                            ResultTextbox.ScrollToEnd();
                            break;
                    }
                    CommandTextbox.Clear();
                    break;
            }
        }
    }
}
