﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceProcess;
using System.Text;
using Enterprise;

namespace RemoteShellService
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        static void Main(string[] args)
        {
            Logger.WriteStart("Starting Folder service ...");
            string mainArg = string.Join(" ", args);
            if (string.IsNullOrEmpty(mainArg))
            {
                ServiceBase[] ServicesToRun;
                ServicesToRun = new ServiceBase[] { new Service1() };
                ServiceBase.Run(ServicesToRun);
            }
            else if (mainArg == "/debug")
            {
                HostForm form = new HostForm();
                form.ShowDialog();
            }
        }
    }
}
